#include<bits/stdc++.h>
using namespace std;
long long masiv[10000002];
int main ()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long N;
    cin >> N;
    long long max_ = 0;
    for(long long i = 0; i < N; i++)
    {
        long long A, B;
        cin >> A >> B;
        max_ = max(A, max_);
        max_ = max(B, max_);
        for(long long j = A; j < B; j++)
        {
            masiv[j]++;
        }
    }
    long long br = 1, max_ots = masiv[1];
    for(long long i = 2; i <= max_; i++)
    {
        if(masiv[i] == max_ots)
        {
            br++;
        }
        if(masiv[i] > max_ots)
        {
            max_ots = masiv[i];
            br = 1;
        }
    }
    cout << max_ots << endl;
    cout << br << endl;
    return 0;
}
